MonitoringConfigForm (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.action.resource.common.monitor.config.MonitoringConfigForm class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.action.resource.common.monitor.config
Class MonitoringConfigForm

    java.lang.Object
      org.apache.struts.action.ActionForm
          org.apache.struts.validator.ValidatorForm
              org.hyperic.hq.ui.action.BaseValidatorForm
                  org.hyperic.hq.ui.action.CalendarForm
                      org.hyperic.hq.ui.action.ScheduleForm
                          org.hyperic.hq.ui.action.resource.ResourceForm
                              org.hyperic.hq.ui.action.resource.common.monitor.config.MonitoringConfigForm

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  GroupMonitoringConfigForm

    public class MonitoringConfigForm

extends ResourceForm

Form for setting the collection interval for metrics in resource/monitoring/configuration areas of the application, and for adding metrics to a resource.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.hyperic.hq.ui.action.ScheduleForm
`END_NEVER, END_ON_DATE, EVERY_DAY, EVERY_WEEKDAY, ON_DAY, ON_EACH, RECUR_DAILY, RECUR_MONTHLY, RECUR_NEVER, RECUR_WEEKLY, START_NOW, START_ON_DATE`

Fields inherited from class org.hyperic.hq.ui.action.CalendarForm
`AM, PM`

Fields inherited from class org.apache.struts.validator.ValidatorForm
`page, validatorResults`

Fields inherited from class org.apache.struts.action.ActionForm
`multipartRequestHandler, servlet`

Constructor Summary
`MonitoringConfigForm()` Creates new MonitoringConfigForm

Method Summary
`java.lang.Long` | `getCollectionInterval()`
`long` | `getCollectionUnit()` Getter for property collectionUnit.
`org.apache.struts.util.ImageButtonBean` | `getIndBtn()`
`long` | `getIntervalTime()` Derived property based on collectionInterval and collectionUnit, return the time as a long
`java.lang.Integer[]` | `getMids()` Getter for property mids.
`boolean` | `isIndSelected()`
`void` | `reset(org.apache.struts.action.ActionMapping mapping, javax.servlet.http.HttpServletRequest request)`
`void` | `setCollectionInterval(java.lang.Long collectionInterval)` Setter for property collectionInterval.
`void` | `setCollectionUnit(long collectionUnit)` Setter for property collectionUnit.
`void` | `setIndBtn(org.apache.struts.util.ImageButtonBean indBtn)`
`void` | `setMids(java.lang.Integer[] mids)` Setter for property mids.

Methods inherited from class org.hyperic.hq.ui.action.resource.ResourceForm
`getAetid, getDescription, getEid, getLocation, getName, getResourceType, getResourceTypes, getRid, getType, isCanModify, loadResourceValue, setAetid, setCanModify, setDescription, setEid, setLocation, setName, setResourceType, setResourceTypes, setRid, setType, toString, updateResourceValue, validate`

Methods inherited from class org.hyperic.hq.ui.action.ScheduleForm
`createSchedule, getControlActions, getEachDay, getEndTime, getIsNow, getMonthlyRecurrenceDay, getNumControlActions, getNumDays, getNumMonths, getNumWeeks, getRecurInterval, getRecurrenceDay, getRecurrenceFrequencyDaily, getRecurrenceFrequencyMonthly, getRecurrenceWeek, getStartTime, populateFromSchedule, setControlActions, setEachDay, setEndTime, setMonthlyRecurrenceDay, setNumControlActions, setNumDays, setNumMonths, setNumWeeks, setRecurInterval, setRecurrenceDay, setRecurrenceFrequencyDaily, setRecurrenceFrequencyMonthly, setRecurrenceWeek, setStartTime`

Methods inherited from class org.hyperic.hq.ui.action.CalendarForm
`calcHour, getEndAmPm, getEndDate, getEndDay, getEndHour, getEndMin, getEndMonth, getEndYear, getInitStartTime, getStartAmPm, getStartDate, getStartDay, getStartHour, getStartMin, getStartMonth, getStartYear, getWantEndDate, getYearOptions, populateEndDate, populateStartDate, setEndAmPm, setEndDay, setEndHour, setEndMin, setEndMonth, setEndYear, setStartAmPm, setStartDay, setStartHour, setStartMin, setStartMonth, setStartYear, setWantEndDate, shouldValidateDateRange, validateDateRange`

Methods inherited from class org.hyperic.hq.ui.action.BaseValidatorForm
`getAdd, getCancel, getCreate, getDelete, getEnable, getOk, getOkassign, getPn, getPs, getRemove, getReset, getUserset, isAddClicked, isCancelClicked, isCreateClicked, isDeleteClicked, isEnableClicked, isOkAssignClicked, isOkClicked, isRemoveClicked, isResetClicked, isUsersetClicked, setAdd, setCancel, setCreate, setDelete, setEnable, setOk, setOkassign, setPn, setPs, setRemove, setReset, setUserset, shouldValidate`

Methods inherited from class org.apache.struts.validator.ValidatorForm
`getPage, getResultValueMap, getValidationKey, getValidatorResults, setPage, setValidatorResults`

Methods inherited from class org.apache.struts.action.ActionForm
`getMultipartRequestHandler, getServlet, getServletWrapper, reset, setMultipartRequestHandler, setServlet, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MonitoringConfigForm

    public MonitoringConfigForm()

  Creates new MonitoringConfigForm

Method Detail

### getIntervalTime

    public long getIntervalTime()

  Derived property based on collectionInterval and collectionUnit, return the time as a long

### reset

    public void reset(org.apache.struts.action.ActionMapping mapping,
                      javax.servlet.http.HttpServletRequest request)

  Overrides:
    `reset` in class `ResourceForm`

### getCollectionInterval

    public java.lang.Long getCollectionInterval()

### getMids

    public java.lang.Integer[] getMids()

  Getter for property mids.

  Returns:
    Value of property mids.

### setMids

    public void setMids(java.lang.Integer[] mids)

  Setter for property mids.

  Parameters:
    `mids` - New value of property mids.

### setCollectionInterval

    public void setCollectionInterval(java.lang.Long collectionInterval)

  Setter for property collectionInterval.

  Parameters:
    `collectionInterval` - New value of property collectionInterval.

### getCollectionUnit

    public long getCollectionUnit()

  Getter for property collectionUnit.

  Returns:
    Value of property collectionUnit.

### setCollectionUnit

    public void setCollectionUnit(long collectionUnit)

  Setter for property collectionUnit.

  Parameters:
    `collectionUnit` - New value of property collectionUnit.

### getIndBtn

    public org.apache.struts.util.ImageButtonBean getIndBtn()

### setIndBtn

    public void setIndBtn(org.apache.struts.util.ImageButtonBean indBtn)

### isIndSelected

    public boolean isIndSelected()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.